
Foreman - Feature #29089

Improve notification management

02/20/2020 01:02 PM - Ondřej Pražák

Status: New   

Priority: Low   

Assignee:    

Category: Notifications   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1768499 Red Hat JIRA:  

Pull request:    

Description

Business Case:

A user gets notification from Webui (under the bell icon) anytime a task gets paused. However, if between the time of triggering the

notification and time of viewing it the task un-pauses and finishes, when the user eventually clicks on the notification, no tasks are

displayed, which leads to confusion.

It would be very useful if the notifications were improved with the following features:

1. To cover the example above, it would be useful not to display notifications that are no longer relevant

2. Each user should be able to configure which notifications to receive. This should be similar to email notification preferences.

Related issues:

Has duplicate Foreman - Feature #24579: Notifications management Duplicate

History

#1 - 02/20/2020 01:03 PM - Ondřej Pražák

- Subject changed from Improve notification management

 to Improve notification management

- Category set to Notifications

#2 - 02/20/2020 01:06 PM - Ohad Levy

worth mentioning that discovery uses something similar, where a discovered host is found it creates notification, however, if the system/user already

used the discovered host, the notification is removed.

#3 - 06/01/2021 08:47 AM - yifat makias

- Priority changed from Normal to Low

- Difficulty set to medium

- Triaged changed from No to Yes

#4 - 06/01/2021 08:50 AM - yifat makias

- Has duplicate Feature #24579: Notifications management added
